using CsvHelper.Configuration.Attributes;

namespace FabApprovalWorkerService.Models;
public class TrainingRecord {
    [Name("Item ID")]
    [Index(0)]
    public string ItemId { get; set; }
    [Name("Item Type")]
    [Index(1)]
    public string? ItemType { get; set; }
    [Name("Revision Date")]
    [Index(2)]
    public DateTime? RevisionDate { get; set; }
    [Name("Title")]
    [Index(3)]
    public string? Title { get; set; }
    [Name("User ID")]
    [Index(4)]
    public string? UserId { get; set; }
    [Name("Last Name")]
    [Index(5)]
    public string LastName { get; set; }
    [Name("First Name")]
    [Index(6)]
    public string FirstName { get; set; }
    [Name("Middle Name")]
    [Index(7)]
    public string? MiddleName { get; set; }
    [Name("Completion Status ID")]
    [Index(8)]
    public string? CompletionStatusId { get; set; }
    [Name("Completion Status")]
    [Index(9)]
    public string? CompletionStatus {  get; set; }
    [Name("Completion Date")]
    [Index(10)]
    public DateTime CompletionDate { get; set; }
}
